CVE-2005-0816
CVSS7.2
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:47:24
NMCOS    

[原文]Buffer overflow in newgrp in Solaris 7 through 9 allows local users to gain root privileges.


[CNNVD]Sun Solaris newgrp缓冲区溢出漏洞(CNNVD-200505-204)

        Solaris是一款Sun Microsystems公司开发和维护的UNIX操作系统。
        newgrp(1)命令中存在缓冲区溢出漏洞,可能允许本地非特权用户获得root用户权限,从而允许攻击者完全控制系统。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:sun:solaris:9.0::sparc
cpe:/o:sun:solaris:8.0
cpe:/o:sun:solaris:7.0::x86
cpe:/o:sun:solaris:7.0
cpe:/o:sun:solaris:9.0::x86
cpe:/o:sun:solaris:8.0::x86

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0816
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0816
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-204
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/19729
(UNKNOWN)  XF  solaris-newgrp-bo(19729)
http://www.securityfocus.com/bid/12838
(UNKNOWN)  BID  12838
http://sunsolve.sun.com/search/document.do?assetkey=1-26-57710-1
(VENDOR_ADVISORY)  SUNALERT  57710
http://securitytracker.com/id?1013462
(UNKNOWN)  SECTRACK  1013462

- 漏洞信息

Sun Solaris newgrp缓冲区溢出漏洞
高危 缓冲区溢出
2005-05-02 00:00:00 2005-10-20 00:00:00
本地  
        Solaris是一款Sun Microsystems公司开发和维护的UNIX操作系统。
        newgrp(1)命令中存在缓冲区溢出漏洞,可能允许本地非特权用户获得root用户权限,从而允许攻击者完全控制系统。

- 公告与补丁

        暂无数据

- 漏洞信息

14886
Solaris newgrp Local Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-03-17 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Sun Solaris NewGRP Local Buffer Overflow Vulnerability
Boundary Condition Error 12838
No Yes
2005-03-18 12:00:00 2009-07-12 10:56:00
The individual or individuals responsible for the discovery of this issue are currently unknown; the vendor disclosed this issue.

- 受影响的程序版本

Sun Solaris 9_x86
Sun Solaris 9
Sun Solaris 8_x86
Sun Solaris 8_sparc
Sun Solaris 7.0_x86
Sun Solaris 7.0
Avaya Interactive Response 1.3
Avaya Interactive Response 1.2.1
Avaya Interactive Response
Avaya CMS Server 12.0
Avaya CMS Server 11.0
Avaya CMS Server 9.0
Avaya CMS Server 8.0

- 漏洞讨论

A local buffer overflow vulnerability affects Sun Solaris newgrp. This issue is due to a failure of the application to securely copy user-supplied data into potentially sensitive process buffers.

An attacker may leverage this issue to execute arbitrary code with superuser privileges, facilitating local privilege escalation.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The vendor has released Sun Alert ID: 57710 along with patches dealing with this issue. Please see the reference section for more information.

Avaya has released an advisory ASA-2005-108 specifying Avaya Call Management System (CMS) and the Avaya Interactive Response (IR) as vulnerable to this issue. CMS patches are available from the vendor. IR patches will be released in the next Solaris patch cluster. Please see the referenced advisory for more information.


Sun Solaris 7.0

Sun Solaris 8_x86

Sun Solaris 8_sparc

Sun Solaris 9

Sun Solaris 9_x86

Sun Solaris 7.0_x86

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站